<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Gallery</title>
    <!-- CSS only -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
    <style>
        .image-thumbail{
            height : 200px;
            object-fit : cover;
        }





    </style>
</head>
<body class="m-5">
<!-- page content -->
<!-- <div></div> -->

<div class="container">
    <div class="row">
        <div class="col-md-3">
            <div class="card">
                <div class="card-header">
                    categories
                </div>
                <ul class="list-group list-group-flush">
                    <li class="list-group-item">
                        <a href="{% url 'gallery' %}"> All </a>
                    </li>
                    {% for category in categories %}
                    <li class="list-group-item">
                        <a href="{% url 'gallery' %}?category={{category.name}}"> {{category.name}} </a>
                    </li>
                    {% endfor %}
                    <a href="{% url 'add' %} " class="btn btn-dark btn-block btn-sm m-1"> add picture</a>


                </ul>
            </div>
        </div>


        <div class="col-md-9">
            <div class="row">
                {% for photo in photos %}
                <div class="col-md-4">
                    <div class="card my-2">
                        <img class="image-thumbail"
                             src="{{ photo.image.url }}"
                             alt="Card image cap">
                        <div class="card-body">
                            <small> Catergory : {{photo.category.name}} </small>
                        </div>
                        <a href="{% url 'photo' photo.id %}" class="btn btn-outline-dark btn-sm m-1"> View </a>
                    </div>
                </div>
                {% empty %}
                    <h3>No photos match your category </h3>
                {% endfor %}


            </div>
        </div>
    </div>
</div>
</body>
</html>
